brancher.hpp File Reference
`#include <deque>`
`#include <set>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::LDSB
| Symmetry breaking for integer variables.

## Functions

template<>
ModEvent | Gecode::Int::LDSB::prune< Int::IntView > (Space &home, Int::IntView x, int v)
template<>
ModEvent | Gecode::Int::LDSB::prune< Int::BoolView > (Space &home, Int::BoolView x, int v)
template<class View, int n, class Val, unsigned int a>
void | Gecode::Int::LDSB::postldsbbrancher (Home home, ViewArray< View > &x, ViewSel< View > *vs[n], ValSelCommitBase< View, Val > *vsc, SymmetryImp< View > **syms, int nsyms, BranchFilter< typename View::VarType > bf, VarValPrint< typename View::VarType, Val > vvp)
| Post LDSB brancher.